<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php rexus_posted_on(); ?>

			<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
				<span class="entry-comment"><?php comments_popup_link( __( '0', 'rexus' ), __( '1', 'rexus' ), __( '%', 'rexus' ) ); ?></span>
			<?php endif; ?>
		</div><!-- .entry-meta -->

	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'rexus' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">

		<?php if ( of_get_option( 'rexus_post_share', '1' ) ) : ?>
			<div class="entry-share-icons">
				<?php _e( 'Share This Post: ', 'rexus' ); ?>
				<?php rexus_social_share(); // Get the social share. ?>
			</div><!-- .entry-share-icons -->
		<?php endif; ?>

		<div class="entry-tags">
			<?php
				/* translators: used between list items, there is a space after the comma */
				$tag_list = get_the_tag_list();
			?>
			<?php printf( __( 'Tags: %s', 'rexus'), $tag_list ); ?>
		</div>

		<?php edit_post_link( __( 'Edit', 'rexus' ), '<span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->

<?php rexus_post_author(); // Display the post author informations. ?>