<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
		<a class="entry-thumbnail-wrap" href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail( 'rexus-thumb', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?></a>
	<?php endif; ?>

	<div class="entry-excerpt-wrap">

		<?php if ( 'post' == get_post_type() ) : ?>

			<?php
				$category = get_the_category();
				if ( $category && rexus_categorized_blog() && ! is_category() && ! is_tag() ) :
			?>
			<div class="entry-category">
				<?php echo '<a href="' . get_category_link( $category[0]->term_id ) . '">' . $category[0]->name . '</a>'; ?>
			</div>
			<?php endif; // End if categories ?>

			<div class="entry-meta">
				<?php rexus_posted_on(); ?>

				<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
					<span class="entry-comment"><?php comments_popup_link( __( '0', 'rexus' ), __( '1', 'rexus' ), __( '%', 'rexus' ) ); ?></span>
				<?php endif; ?>
			</div><!-- .entry-meta -->

		<?php endif; ?>

		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->

		<div class="more-link">
			<?php _e( 'Share on', 'rexus' ); ?>
			<?php rexus_social_share(); // Get the social share. ?>
			<a href="<?php the_permalink(); ?>"><?php _e( 'Read Full Story', 'rexus' ); ?></a>
		</div><!-- .more-link -->
		
	</div><!-- .entry-excerpt-wrap -->
	
</article><!-- #post-## -->
