<?php if ( is_singular( 'post' ) && of_get_option( 'rexus_post_nav', '1' ) ) : // If viewing a single post page. ?>

	<div class="breadcrumbs clearfix">
		<?php previous_post_link( '<span class="post-nav post-nav-prev">' . '<i class="fa fa-angle-left"></i> %link' . '</span>', '%title' ); ?>
		<?php next_post_link( '<span class="post-nav post-nav-next">' . '%link <i class="fa fa-angle-right"></i>' . '</span>', '%title' ); ?>
	</div><!-- .breadcrumbs -->

<?php elseif ( is_home() || is_archive() || is_search() ) : // If viewing the blog, an archive, or search results. ?>

	<?php loop_pagination(
		array( 
			'prev_text' => _x( '&larr; Previous', 'posts navigation', 'rexus' ), 
			'next_text' => _x( 'Next &rarr;',     'posts navigation', 'rexus' )
		) 
	); ?>

<?php endif; // End check for type of page being viewed. ?>