<?php get_header(); ?>

	<section id="primary" class="content-area" data-mh="equal">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="breadcrumbs">
				<h1><?php printf( __( 'Search Results for: %s', 'rexus' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			</header><!-- .page-header -->

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'content', get_post_format() ); ?>

			<?php endwhile; ?>

			<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template ?>

		<?php else : ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
