/*-----------------------------------------------------------------------------------
/* Styles Switcher
-----------------------------------------------------------------------------------*/

window.console = window.console || (function(){
	var c = {}; c.log = c.warn = c.debug = c.info = c.error = c.time = c.dir = c.profile = c.clear = c.exception = c.trace = c.assert = function(){};
	return c;
})();


jQuery(document).ready(function($) {

	var path = rexus_path.assets;
	
	// Color Changer
	$(".green" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/green.css" );
	});
	
	$(".blue" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/blue.css" );
	});
	
	$(".orange" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/orange.css" );
	});
	
	$(".navy" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/navy.css" );
	});
	
	$(".yellow" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/yellow.css" );
	});
	
	$(".peach" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/peach.css" );
	});
	
	$(".beige" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/beige.css" );
	});

	$(".purple" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/purple.css" );
	});

	$(".red" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/red.css" );
	});

	$(".pink" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/pink.css" );
	});
	
	$(".celadon" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/celadon.css" );
	});
	
	$(".brown" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/brown.css" );
	});
	
	$(".cherry" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/cherry.css" );
	});
	
	$(".gray" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/gray.css" );
	});
	
	$(".deep-blue" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/deep-blue.css" );
	});
	
	$(".cyan" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/cyan.css" );
	});
	
	$(".olive" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/olive.css" );
	});
	
	$(".dirty-green" ).click(function(e){
		e.preventDefault();
		$("#rexus-color-schemes-css" ).attr("href", path + "/colors/dirty-green.css" );
	});

	$("#style-switcher h2 a").click(function(e){
		e.preventDefault();
		var div = $("#style-switcher");
		console.log(div.css("left"));
		if (div.css("left") === "-195px") {
			$("#style-switcher").animate({
				left: "0px"
			}); 
		} else {
			$("#style-switcher").animate({
				left: "-195px"
			});
		}
	});
	
	// Menu Style Switcher
   $("#menu-style").change(function(e){
		if( $(this).val() == 1){
			$("#navigation").removeClass("style-2");        
		} else{
			$("#navigation").addClass("style-2");        
		}
	});

	$(".colors li a").click(function(e){
		e.preventDefault();
		$(this).parent().parent().find("a").removeClass("active");
		$(this).addClass("active");
	});
	
	$(".bg li a").click(function(e){
		e.preventDefault();
		$(this).parent().parent().find("a").removeClass("active");
		$(this).addClass("active");
		var bg = $(this).css("backgroundImage");
		$("body").css("backgroundImage",bg)
	});

	var bgdefault = path + "/img/bg/0.png";

	$("#reset a").click(function(e){
		var bg = $(this).css("backgroundImage");
		$("body").css("backgroundImage","url(" + bgdefault + ")");
		$("#navigation" ).removeClass("style-2")
	});
		

});