	<?php if ( is_single() ) : ?>
		<?php rexus_related_posts(); // Get the related posts. ?>
	<?php else : ?>
		<?php rexus_editor_posts(); // Get the editor's picks posts. ?>
	<?php endif; ?>

	<?php if ( of_get_option( 'rexus_footer_ads' ) ) : ?>
		<div class="footer-ad">
			<h3 class="ad-title"><?php _e( 'Advertisement', 'rexus' ); ?></h3>
			<?php echo stripslashes( of_get_option( 'rexus_footer_ads' ) ); ?>
		</div>
	<?php endif; ?>

</div><!-- #page -->

	<footer id="footer" class="site-footer container clearfix">

		<div class="footer-column footer-column-1">
			<?php dynamic_sidebar( 'footer-1' ); ?>
		</div>

		<div class="footer-column footer-column-2">
			<?php dynamic_sidebar( 'footer-2' ); ?>
		</div>

		<div class="footer-column footer-column-3">
			<?php dynamic_sidebar( 'footer-3' ); ?>
		</div>

		<div class="footer-column footer-column-4">
			<?php dynamic_sidebar( 'footer-4' ); ?>
		</div>

	</footer><!-- #colophon -->

	<div id="site-bottom" class="container" role="contentinfo">
		<?php printf( __( '&copy; Copyright %1$s %2$s', 'rexus' ), date( 'Y' ), '<a href=" ' . esc_url( home_url() ) . '">' . esc_attr( get_bloginfo( 'name' ) ) . '</a>.' );?>
		<span class="copyright"><?php printf( __( 'Proudly designed by %s', 'rexus' ), '<a href="http://www.theme-junkie.com/">Theme Junkie</a>.' ); ?></span>
	</div>

<?php wp_footer(); ?>

</body>
</html>
